## mingw-w64-qt6-lottie-6.10.0-1.src.tar.zst

=== src/lottiegenerator/CMakeLists.txt ===
# Copyright (C) 2025 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

qt_internal_add_module(LottieVectorImageGeneratorPrivate
    INTERNAL_MODULE
    SOURCES
        qlottievisitor_p.h qlottievisitor.cpp
    LIBRARIES
        Qt::Core
        Qt::QuickPrivate
        Qt::QuickShapesPrivate
        Qt::QuickVectorImageGeneratorPrivate
        Qt::LottiePrivate

)

=== src/vectorimagehelpers/CMakeLists.txt ===
# Copyright (C) 2025 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

qt_internal_add_qml_module(LottieVectorImageHelpers
    URI "Qt.labs.lottieqt.VectorImageHelpers"
    VERSION "${PROJECT_VERSION}"
    NO_PLUGIN_OPTIONAL
    CLASS_NAME QLottieVectorImageHelpersPlugin
    SOURCES
        qquicklayeritem_p.h qquicklayeritem.cpp
    LIBRARIES
        Qt::QuickPrivate
)

=== tests/auto/CMakeLists.txt ===
add_subdirectory(lottie)
add_subdirectory(qml)

=== tests/manual/CMakeLists.txt ===
add_subdirectory(featcheck)
add_subdirectory(testApp)

=== tests/manual/testApp/CMakeLists.txt ===
qt_add_executable(testApp WIN32 MACOSX_BUNDLE
    main.cpp
)
target_compile_definitions(testApp PRIVATE
    QT_DEPRECATED_WARNINGS
)

target_link_libraries(testApp PRIVATE
    Qt::Core
    Qt::Gui
    Qt::Quick
)

# Resources:
set(qml_resource_files
    "easing_rect_translate.json"
    "layer_effect_fill.json"
    "layer_effect_slider.json"
    "linked_layers.json"
    "main.qml"
    "path_and_ellipse.json"
    "rect_anchor_moved_static2.json"
    "rect_anchor_std_anim.json"
    "rect_anim_easing.json"
    "rect_gfill_linear.json"
    "rect_gfill_radial.json"
    "rect_move_bezier.json"
    "rect_negative_scale_anchors.json"
    "rect_negative_scale_pos.json"
    "rect_negative_scale_pos_anchors_rot.json"
    "rect_rotate.json"
    "rect_rotate_layer.json"
    "rect_rotate_layer2.json"
    "rect_rotate_shape.json"
    "rect_scale.json"
    "rect_scale_anchors_on_layer.json"
    "rect_scale_anchors_on_rect.json"
    "rect_skew.json"
    "rect_skew_axis.json"
    "repeater1.json"
    "repeater_group1.json"
    "repeater_group2.json"
    "shape_bezier_simple.json"
    "shape_circle.json"
    "shape_complex.json"
    "shape_complex2.json"
    "shape_static.json"
    "trim_path1.json"
    "trim_path2.json"
    "trim_path2_parallel.json"
    "trim_path2_offset.json"
    "trim_path_multiple1.json"
    "trim_path_multiple2.json"
    "trim_path_multiple3.json"
    "trim_path_multiple4.json"
    "trim_path_sequential2.json"
)

qt_add_resources(testApp "qml"
    PREFIX
        "/"
    FILES
        ${qml_resource_files}
)

install(TARGETS testApp
    BUNDLE DESTINATION .
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
)

qt_generate_deploy_app_script(
    TARGET testApp
    OUTPUT_SCRIPT deploy_script
    NO_UNSUPPORTED_PLATFORM_ERROR
)
install(SCRIPT ${deploy_script})

=== tests/auto/lottie/shape/ellipse/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Collect test data
file(GLOB_RECURSE test_data_glob
    RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
    data/*)
list(APPEND test_data ${test_data_glob})

qt_internal_add_test(tst_ellipse
    SOURCES
        tst_lottieellipse.cpp
    LIBRARIES
        Qt::Gui
        Qt::GuiPrivate
        Qt::Test
        Qt::LottiePrivate
    TESTDATA ${test_data}
)

=== tests/auto/lottie/shape/rect/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Collect test data
file(GLOB_RECURSE test_data_glob
    RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
    data/*)
list(APPEND test_data ${test_data_glob})

qt_internal_add_test(tst_rect
    SOURCES
        tst_lottierect.cpp
    LIBRARIES
        Qt::Gui
        Qt::GuiPrivate
        Qt::Test
        Qt::LottiePrivate
    TESTDATA ${test_data}
)

=== tests/auto/lottie/shape/repeatertransform/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Collect test data
file(GLOB_RECURSE test_data_glob
    RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
    data/*)
list(APPEND test_data ${test_data_glob})

qt_internal_add_test(tst_repeatertransform
    SOURCES
        tst_lottierepeatertransform.cpp
    LIBRARIES
        Qt::Gui
        Qt::GuiPrivate
        Qt::Test
        Qt::LottiePrivate
    TESTDATA ${test_data}
)

=== tests/auto/lottie/shape/transform/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Collect test data
file(GLOB_RECURSE test_data_glob
    RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
    data/*)
list(APPEND test_data ${test_data_glob})

qt_internal_add_test(tst_lottie_transform
    SOURCES
        tst_lottiebasictransform.cpp
    LIBRARIES
        Qt::Gui
        Qt::GuiPrivate
        Qt::Test
        Qt::LottiePrivate
    TESTDATA ${test_data}
)

=== tests/auto/lottie/shape/trimpath/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Collect test data
file(GLOB_RECURSE test_data_glob
    RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
    data/*)
list(APPEND test_data ${test_data_glob})

qt_internal_add_test(tst_trimpath
    SOURCES
        tst_lottietrimpath.cpp
    LIBRARIES
        Qt::Gui
        Qt::GuiPrivate
        Qt::Test
        Qt::LottiePrivate
    TESTDATA ${test_data}
)

=== PKGBUILD ===
# Contributor: Mehdi Chinoune <mehdi.chinoune@hotmail.com>

_realname=qt6-lottie
pkgbase=mingw-w64-${_realname}
pkgname=("${MINGW_PACKAGE_PREFIX}-${_realname}"
         "${MINGW_PACKAGE_PREFIX}-${_realname}-debug")
_qtver=6.10.0
pkgver=${_qtver/-/}
pkgrel=1
pkgdesc='A family of player software for a certain json-based file format for describing 2d vector graphics animations (mingw-w64)'
arch=(any)
mingw_arch=('mingw64' 'ucrt64' 'clang64' 'clangarm64')
url='https://www.qt.io'
msys2_repository_url="https://code.qt.io/cgit/qt/qtlottie.git"
msys2_references=(
  'archlinux: qt6-lottie'
  "cpe: cpe:/a:qt:qt"
)
license=('spdx:GPL-3.0-only WITH Qt-GPL-exception-1.0 AND BSD-3-Clause AND GFDL-1.3-no-invariants-only')
makedepends=("${MINGW_PACKAGE_PREFIX}-cc"
             "${MINGW_PACKAGE_PREFIX}-cmake"
             "${MINGW_PACKAGE_PREFIX}-ninja"
             "${MINGW_PACKAGE_PREFIX}-qt6-base"
             "${MINGW_PACKAGE_PREFIX}-qt6-declarative"
             "${MINGW_PACKAGE_PREFIX}-qt6-svg"
             "rsync")
_pkgfn="${_realname/6-/}-everywhere-src-${_qtver}"
source=("https://download.qt.io/official_releases/qt/${pkgver%.*}/${_qtver}/submodules/${_pkgfn}.tar.xz")
sha256sums=('70a413af5bc20a28d79c74a4182a1bb23f0709306721dc4878106891e5a87b25')

build() {
  mkdir -p build-${MSYSTEM} && cd build-${MSYSTEM}

  MSYS2_ARG_CONV_EXCL="-DCMAKE_INSTALL_PREFIX=" \
  ${MINGW_PREFIX}/bin/cmake \
    --log-level=STATUS \
    -GNinja \
    -DCMAKE_BUILD_TYPE=RelWithDebInfo \
    -DCMAKE_INSTALL_PREFIX=${MINGW_PREFIX} \
    ../${_pkgfn}

  ${MINGW_PREFIX}/bin/cmake --build .
}

package_qt6-lottie() {
  depends=("${MINGW_PACKAGE_PREFIX}-cc-libs"
           "${MINGW_PACKAGE_PREFIX}-qt6-base"
           "${MINGW_PACKAGE_PREFIX}-qt6-declarative")
  groups=("${MINGW_PACKAGE_PREFIX}-qt6")

  DESTDIR="${pkgdir}" ${MINGW_PREFIX}/bin/cmake --install build-${MSYSTEM}

  # Seperate debug-info files
  rsync -armR --remove-source-files --include="*/" --include="*.debug" --exclude="*" --prune-empty-dirs "${pkgdir}"/.${MINGW_PREFIX} "${srcdir}"/${MSYSTEM}-debug/

  install -d "$pkgdir${MINGW_PREFIX}"/share/licenses/${_realname}
  install -Dm644 $_pkgfn/LICENSES/* -t "$pkgdir${MINGW_PREFIX}"/share/licenses/${_realname}
}

package_qt6-lottie-debug() {
  depends=("${MINGW_PACKAGE_PREFIX}-qt6-declarative-debug"
           "${MINGW_PACKAGE_PREFIX}-${_realname}")
  groups=("${MINGW_PACKAGE_PREFIX}-qt6-debug")
  options=('!strip')

  cp -rf "${srcdir}"/${MSYSTEM}-debug${MINGW_PREFIX} "${pkgdir}"/
}

# template start; name=mingw-w64-splitpkg-wrappers; version=1.0;
# vim: set ft=bash :

# generate wrappers
for _name in "${pkgname[@]}"; do
  _short="package_${_name#${MINGW_PACKAGE_PREFIX}-}"
  _func="$(declare -f "${_short}")"
  eval "${_func/#${_short}/package_${_name}}"
done
# template end;
